Bug 174004 - Dovecot doesn't start up with SELinux targeted enforced
Summary: Dovecot doesn't start up with SELinux targeted enforced
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-23 15:49 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 14:22:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2005-11-23 15:49:10 UTC
Description of problem:
Dovecot doesn't start up with SELinux targeted enforced.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.27.1-2.11

How reproducible/Steps to Reproduce:
1. service dovecot stop
2. setenforce 1
3. service dovecot start
4. [dovecot isn't running]

Actual results:
Same as problem.

Expected results:
Should work, shouldn't it? ;-)

Comment 1 Rahul Sundaram 2005-11-23 16:07:21 UTC
Thank you for your report. 

Run yum install selinux-policy-targeted to get the latest updates.

Relabel your filesystem by running touch ./autorelabel and reboot your system.
check if this fixes the problem. If not provide the AVC denied messages from
/var/log/audit (if you are runnning audit service) or /var/log/messages.

Comment 2 Rahul Sundaram 2005-11-23 16:13:03 UTC
err that should be touch /.autorelabel. sorry

Comment 3 Robert Scheck 2005-11-23 21:29:11 UTC
Maybe I should say, that the system isn't mine, but it's a default installation 
of Fedora Core 4 (SELinux targeted enforced) without any SELinux boolean changes 
etc. It is up2date and selinux-policy-targeted-1.27.1-2.11 is the latest stable 
available policy (even -1.27.1-2.14 seems to provide no changes there).

Comment 4 Daniel Walsh 2005-11-30 15:09:52 UTC
What avc messages are you seeing in /var/log/messages or /var/log/audit/audit.log?

Comment 5 John Thacker 2006-05-05 14:22:29 UTC
Closing due to lack of response.


Note You need to log in before you can comment on or make changes to this bug.